These are chat archives for papyros/terminal-app

29th
Jan 2016
Collin Norwood
@Collinthegeek
Jan 29 2016 06:44
I get
$ papyros-terminal
QQmlApplicationEngine failed to load component
qrc:/qml/main.qml:27 module "Papyros.Core" is not installed
Žiga Patačko Koderman
@zigapk
Jan 29 2016 07:08
@Collinthegeek 1. pleas use core-apps room 2. I am not quite sure how to fix this and I have the same problem. But one commit older seems to work fine - if you are only into testing. Otherwise @iBeliever probably knows more?
Michael Spencer
@iBelieve
Jan 29 2016 14:26
@zigapk @Collinthegeek You need to install https://github.com/papyros/libpapyros from the develop branch.
Žiga Patačko Koderman
@zigapk
Jan 29 2016 14:38
@iBeliever only installing libpapyros doesn't seem to solve the problem. It wokred when import was Papyros.Papyros but since it is Papyros.Core I cant make it work.
Michael Spencer
@iBelieve
Jan 29 2016 14:41
@zigapk Make sure you run cmake with KDE_INSTALL_USE_QT_SYS_PATHS set to ON:
cmake .. \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLIB_INSTALL_DIR=lib \
    -DLIBEXEC_INSTALL_DIR=lib \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON